Skip to main content
`Ctrl`+`K`

# SVDTRLanczosGetLocking

Gets the locking flag used in the thick-restart Lanczos method.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosGetLocking(SVD svd,PetscBool *lock)

Not Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- lock - the locking flag

## See Also

SVD: Singular Value Decomposition, `SVDTRLANCZOS`, `SVDTRLanczosSetLocking()`

## Level

advanced

## Location

src/svd/impls/trlanczos/trlanczos.c

## Implementations

SVDTRLanczosGetLocking_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages